Herald
OpenapiExt

List client apps in a realm

Returns all client apps in the specified realm. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `clients:view` permission in the target realm.

GET
/api/ext/realms/{realmId}/client-apps

Returns all client apps in the specified realm.

Authentication

Requires valid API Key via X-API-Key header

Authorization

The caller must have clients:view permission in the target realm.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/ext/realms/string/client-apps"
{  "clientApps": [    {      "clientId": "string",      "createdAt": "string",      "enabled": true,      "id": "string",      "name": "string"    }  ]}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}